Bug 9593 - Application's X Windows Hang During Dragging Operation
Application's X Windows Hang During Dragging Operation
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-19 17:55 EST by Stuart Hansen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 13:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Hansen 2000-02-19 17:55:27 EST
When using the mouse to drag objects, all the application's windows hang (do not refresh,
cannot be closed) etc.  This happens frequently both with Netscape applets and
IBMs Visual Age for Java.  The xterm where I start Visual Age reports the error
X Error: BadPixmap (invalid Pixmap parameter)
X Error: BadPixmap (invalid Pixmap parameter)
X Error: BadPixmap (invalid Pixmap parameter)

If I drag very slowly, the problem seems to occur less frequently.
Comment 1 Cristian Gafton 2000-02-21 16:26:59 EST
assigned to pbrown
Comment 2 Preston Brown 2000-02-23 15:23:59 EST
what video card do you have?
Comment 3 Stuart Hansen 2000-02-24 10:12:59 EST
My video card is an STB Velocity 4400  8M SDRAM AGP

The relevant sections of my XF86Config seem to be:

# **********************************************************************
# Graphics device section
# **********************************************************************

Section "Device"
    Identifier        "Generic VGA Card"
    VendorName        "Unknown"
    BoardName         "Unknown"
    Chipset           "generic"
EndSection


Section "Device"
    Identifier         "RIVA128"
    VendorName         "STB Systems, Inc."
    VideoRam           8128
EndSection

# **********************************************************************
# Screen section
# **********************************************************************

# The kernel framebuffer server
Section "Screen"
    Driver      "fbdev"
    Device      "Generic VGA Card"
    Monitor     "ING44131"
    Subsection  "Display"
#        Depth       16
        Modes       "default"
    EndSubsection
EndSection

# The 16-color VGA server
Section "Screen"
    Driver      "vga16"
    Device      "Generic VGA Card"
    Monitor     "ING44131"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

# The Mono server
Section "Screen"
    Driver      "vga2"
    Device      "Generic VGA Card"
    Monitor     "ING44131"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

# The svga server
Section "Screen"
    Driver      "svga"
    Device      "RIVA128"
    Monitor     "ING44131"
    DefaultColorDepth 16

    Subsection "Display"
        Depth       16

#        Modes       "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
        Modes       "1152x864" "1024x768" "800x600" "640x480"
        ViewPort    0 0
    EndSubsection

    Subsection "Display"
        Depth       8
        Modes       "1600x1200" "1280x1024" "1152x864" "1024x768" "800x600"
"640x480"
        ViewPort    0 0
    EndSubsection

    Subsection "Display"
        Depth       32
#        Modes       "1152x864" "1024x768" "800x600" "640x480"
        Modes       "1024x768" "800x600" "640x480"
        ViewPort    0 0
    EndSubsection
EndSection
Comment 4 Preston Brown 2000-05-08 10:08:59 EDT
what window manager are you using?
Comment 5 Stuart Hansen 2000-05-08 11:47:59 EDT
Enlightenment.
Move Methods set to Opaque
Resize Methods set to Box
Comment 6 Preston Brown 2000-06-26 15:27:38 EDT
try using a different window manager, or turning off opaque moves.
Comment 7 Stuart Hansen 2000-06-26 15:53:27 EDT
I have already explored both of these strategies in some depth and the problem
still persists.
Comment 8 Preston Brown 2000-08-29 13:43:28 EDT
we don't have other reports indicating a similar problem from other customers,
and we can't duplicate the problem in house.  I'm not saying there definitely
isn't a problem, but we haven't been able to isolate it so it can be fixed.

Note You need to log in before you can comment on or make changes to this bug.